Omero plugin issue for Fiji

Hello,

I installed OMERO plugin on the Fiji and I tried to log in using demo server and it wasn’t possible to login. The error was saying it is wrong version of OMERO. Could you please help me out? I need to be able to use OMERO with Fiji.

Best regards,

Justyna Cholewa-Waclaw

Hi Justyna

How did you install the plugin?
Did you download the following jar https://github.com/ome/omero-insight/releases/download/v5.5.9/omero_ij-5.5.9-all.jar
and install it in the plugins folder of Fiji?
see https://omero-guides.readthedocs.io/en/latest/fiji/docs/installation.html

Cheers

Jmarie

Dear Jmarie,

Yes, I did exactly what you wrote below.

When I try to log in to demo server it gives me error message attached in this email.

Best regards,

Justyna

Dear Jmarie,

This problem and the other problem I contacted you about two weeks ago is just a tip of problems I have. I have server in my facility running Columbus 2.8. The server is OMERO 4.4. I have data base corrupted and many other problems. I am in contact with Perkin Elmer in order to fix it but they told me that possibly OMERO team will need to be involved too. Could you please advice me who I can contact from OMERO team about this which would be beyond the Image.sc Forum?

Best regards,

Justyna

Dear Justyna

There are now two different things in this thread

  • The connection to the demo server: you followed the correct instructions. We will need to investigate what is happening with the version check. Thanks for reporting the problem.

  • Regarding the Columbus installation, Columbus 2.8 uses OMERO but this is not a software that we released ourselves. The OMERO team can only offer support for the software we release. This could potentially invalidate your support contract and also put you and us in a very difficult situation.

Regards

Jmarie

Dear Jmarie,

Thank you for looking into problem one. Please let me know if you find out something.

Best regards,

Justyna

Dear Justyna

I downloaded the latest version of the plugin (5.5.9)
installed in Fiji and connected without any problem to the demo server.
I cannot reproduce the issue you are seeing

Cheers
Jmarie

Dear Jmarie,

Unfortunately, I am getting this problem and I can’t login. I will try to install plugin again. Is this possibly the problem with Win10?

Best regards,

Justyna

I does not look like a problem with Win10
Could you check the jars folder and see you if you have a jar with the name blitz in it?

Thanks

Jmarie

Dear Jmarie,

I managed finally. I reinstalled everything from beginning including Fiji and now all works perfect. Thank you!

Best regards,

Justyna

Hi J.M.,
I’m having the same issue as are some of my users. We’re on server version 5.6. We can login through the client or the web, but we get the same error message as Justyna when we try to connect through the plugin. I’ve got OMERO 5.4.10 in my update sites. Do I need to remove this? Also, I don’t see a jar with the name blitz in it.

Thanks,
Eric

Hi Eric

I will remove the OMERO 5.4.10 update site to be on the safe side.
We have noticed similar issues on some OS cf.


Unfortunately we have not been able to find the reason of that behaviour.
Please add OS version, Java version if you have the info, to the GitHub issue. That will be helpful

Thanks

Jmarie

Hi Jean-Marie,

My system is running Windows 10 Professional and Java Version 8 Update 201 (build 1.8.0_201-b09).
I’ve updated this on the GitHub thread as well.

Thanks,

Eric

Thanks for updating the issue

jmarie

Hi,

getting the error on macOS too (not windows) and added to the GitHub page

Cheers,

Chris

Information gathered on the GitHub issue. Marking the post as solved